org.keycloak.services.clientregistration

## Class DefaultClientRegistrationProviderFactory

- java.lang.Object
- - org.keycloak.services.clientregistration.DefaultClientRegistrationProviderFactory

- All Implemented Interfaces:
    ProviderFactory<ClientRegistrationProvider>, ClientRegistrationProviderFactory

      public class DefaultClientRegistrationProviderFactory
      extends Object
      implements ClientRegistrationProviderFactory

  Author:
    Stian Thorgersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultClientRegistrationProviderFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` This is called when the server shuts down.
    `ClientRegistrationProvider` | `create(KeycloakSession session)`
    `String` | `getId()`
    `void` | `init(Config.Scope config)` Only called once when the factory is first created.
    `void` | `postInit(KeycloakSessionFactory factory)` Called after all provider factories have been initialized

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Constructor Detail

    - #### DefaultClientRegistrationProviderFactory

          public DefaultClientRegistrationProviderFactory()

  - ### Method Detail

    - #### create

          public ClientRegistrationProvider create(KeycloakSession session)

      Specified by:
        `create` in interface `ProviderFactory<ClientRegistrationProvider>`

    - #### init

          public void init(Config.Scope config)

      Description copied from interface: `ProviderFactory`
      Only called once when the factory is first created. This config is pulled from keycloak_server.json
      Specified by:
        `init` in interface `ProviderFactory<ClientRegistrationProvider>`

    - #### postInit

          public void postInit(KeycloakSessionFactory factory)

      Description copied from interface: `ProviderFactory`
      Called after all provider factories have been initialized
      Specified by:
        `postInit` in interface `ProviderFactory<ClientRegistrationProvider>`

    - #### close

          public void close()

      Description copied from interface: `ProviderFactory`
      This is called when the server shuts down.
      Specified by:
        `close` in interface `ProviderFactory<ClientRegistrationProvider>`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ProviderFactory<ClientRegistrationProvider>`

Copyright © 2020 JBoss by Red Hat. All rights reserved.